##################################################################################
# Database Configuration
##################################################################################

# MySQL 5.X configuration properties
#database.url=jdbc:mysql://localhost/wisemapping
#database.driver=com.mysql.jdbc.Driver
#database.hibernate.dialect=org.hibernate.dialect.MySQL5Dialect
#database.username=wisemapping
#database.password=password

# HSQL Configuration properties
database.url=jdbc:hsqldb:file:target/db/wisemapping
database.driver=org.hsqldb.jdbc.JDBCDriver
database.hibernate.dialect=org.hibernate.dialect.HSQLDialect
database.username=sa
database.password=


##################################################################################
# Mail configuration. Must be configured to enable user registration confirmation.
##################################################################################

#------------------------
# Plain SMTP Server Configuration
#------------------------
#mail.smtp.socketFactory.class=javax.net.DefaultSocketFactory
#mail.smtp.socketFactory.port=25
#mail.smtp.auth = false
#mail.host=localhost
#mail.user=
#mail.password=

#------------------------
# SSL SMTP Server Configuration
#------------------------
# mail.smtp.socketFactory.class=javax.net.ssl.SSLSocketFactory
#mail.smtp.socketFactory.port=465
#mail.smtp.auth = false
#mail.host=localhost
#mail.user=
#mail.password=

#------------------------
# GMAIL SMTP Configuration
#------------------------
mail.smtp.socketFactory.class=javax.net.ssl.SSLSocketFactory
mail.smtp.socketFactory.port=587
mail.smtp.auth = true
mail.host=smtp.gmail.com
mail.user=example@gmail.com
mail.password=
mail.smtp.starttls.enable=true

#------------------------
# Domain address
#------------------------
mail.registrationEmail=root@localhost
mail.siteEmail=root@localhost

##################################################################################
# Users Registration  Configuration
##################################################################################

# Enable/Disable user registration confirmation by e-mail. If it's enabled, mail must be configured.
registration.email.enabled = false

# Enable captcha confirmation
registration.recaptcha.enabled = false

# ReCaptcha is the default captcha. Public and private keys are required.
# More Info: http://www.google.com/recaptcha
registration.recaptcha.privateKey =
registration.recaptcha.publicKey =

##################################################################################
# Site configuration
##################################################################################

# Site administration user. This user will have special permissions for operations such as removing users, set password
# etc.
admin.user = admin@wisemapping.org
